Get SSO Provider
Get SSO provider details by ID.
Quick Navigation
Endpoint
GET /api/v1/sso/providers/{provider_id}
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <access_token> |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
provider_id | integer | Yes | SSO Provider ID |
Response
Success (200)
{
"success": true,
"data": {
"provider": {
"id": 1,
"name": "Okta SSO",
"provider_type": "saml",
"status": "active",
"entity_id": "https://example.okta.com",
"sso_url": "https://example.okta.com/sso/saml",
"created_at": "2024-01-01T00:00:00Z"
},
"message": "SSO provider details retrieved successfully"
},
"message": "SSO provider details retrieved successfully"
}
Error Codes
| Status | Code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Invalid or missing token |
| 404 | PROVIDER_NOT_FOUND | Provider not found |
Features
- Provider configuration
- Status information
- Usage statistics
Status
[WARNING] TODO: Not Implemented
This endpoint is defined in the router but the implementation logic is not yet complete.